import { defAxios as request } from '@/utils/http'

/**
 * 获取云盒列表（分页）
 * @param {Object}
 * @returns
 */
export function boxPage(params) {
  return request({
    url: '/cloudBox/index',
    method: 'get',
    params
  })
}

/**
 * 获取云盒列表
 * params
 * @returns
 */
export function boxAll() {
  return request({
    url: '/cloudBox/getList',
    method: 'get'
  })
}

/**
 * 创建盒子
 * @returns
 */
export function boxCreate(data) {
  return request({
    url: '/cloudBox/add',
    method: 'post',
    data
  })
}
/**
 * 编辑盒子
 * @returns
 */
export function boxUpdate(data) {
  return request({
    url: '/cloudBox/edit',
    method: 'put',
    data
  })
}
/**
 * 删除盒子
 * @returns
 */
export function boxDelete(ids) {
  return request({
    url: `/cloudBox/delete/${ids}`,
    method: 'delete'
  })
}
